Bug 178762 - No graphical installer, text-mode installer crippled
No graphical installer, text-mode installer crippled
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-23 23:20 EST by Christian Münscher
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-18 18:00:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Münscher 2006-01-23 23:20:03 EST
Downloaded fc5test2 x86_64 dvd iso
Hardware:
- A64 3200+ E6-Stepping
- Gigabyte K8N Ultra-9 nForce 4 Board, Bios F8
- PCI-E ATI X800 GTO video card
- ViewSonic VP181b 1280x1024 18.1" TFT via DVI-D
Problems:
- Shows boot screen - F-Keys totally unreadable!
- Selecting graphical installer shows that it detects an "unknown ATI Video
device ID 5-something" and an unknown monitor. After that, the screen goes
blank, showing that it gets no signal
* starting with "linux lowres" and "linux resolution=1280x1024" shows the same
problem
- text-mode installer is "crippled", meaning that characters are misaligned and
so on, nearly unusable (can provide jpg photograph of that if needed)
Comment 1 Jeremy Katz 2006-01-28 00:39:31 EST
Text mode stuff has been fixed since test2.  For X not working, reassigning to
the appropriate drier
Comment 2 Christian Münscher 2006-01-28 08:21:28 EST
I was using test2 - for x86_64, it was not fixed - at least for me it did not
work graphically on that platform.
test2 i386 dvd worked graphically when adding a resolution and even detected my
screen correctly, but not my video card. But the space used by the installer on
the screen was really small...
Comment 3 Mike A. Harris 2006-01-31 12:18:34 EST
Please perform a text mode installation, then once installed, run the following
as root:

system-config-display --reconfig

Try to start the X server, and report back the results.  Attach the X server
log file, and the config file generated from the above command.  Also include
the output of "lspci -vvn".

Thanks in advance.


Setting status to "NEEDINFO_REPORTER"
Comment 4 jjwei 2006-02-03 22:29:04 EST
confirm
- text-mode installer is "crippled", meaning that characters are misaligned and
so on -
 on fedora5 test2 i386 dvd install, so text mode stuff has not been fixed.
iso is from
ftp://calserv.unl.edu/pub/linux/fedora/linux/core/test/4.91/i386/iso/FC5-test2-i386-DVD.iso
as pointed by distowatch.com, not sure if it is official version, did not find
one on fedora site.
Comment 5 Mike A. Harris 2006-02-21 06:16:03 EST
Fedora Core 5 test3 has been released.  Please update the report to indicate
if the problem still occurs in FC5test3.
Comment 6 Mike A. Harris 2006-03-08 06:49:11 EST
ping
Comment 7 jjwei 2006-03-08 10:50:17 EST
same problem in Fedora Core 5 test3, looks like ncurses problem, as stated in
comment 1 of https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=178386
Comment 8 Mike A. Harris 2006-03-09 02:53:14 EST
This bug report actually is reporting multiple bugs in the initial comment.
We track only a single bug in each bug report, so each bug needs to be filed
individually, so that as each separate problem is resolved in the particular
component that is causing the issue, each bug can be closed independently.

This bug is filed against xorg-x11-drv-ati, so the problem this bug will
be tracking is:

- Selecting graphical installer shows that it detects an "unknown ATI Video
device ID 5-something" and an unknown monitor. After that, the screen goes
blank, showing that it gets no signal


Please update the report with all information requested in comment #3 in
order for us to continue diagnosing the issue.

Thanks in advance.
Comment 9 Mike A. Harris 2006-05-18 18:00:21 EDT
If this problem is still present in Fedora Core 5, with all available
updates applied, please file a bug report in X.Org bugzilla at
http://bugs.freedesktop.org in the "xorg" component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.


Note You need to log in before you can comment on or make changes to this bug.